Bug 249974 - cjet: $RPM_OPT_FLAGS not used
cjet: $RPM_OPT_FLAGS not used
Product: Fedora
Classification: Fedora
Component: cjet (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-07-28 16:24 EDT by Ville Skyttä
Modified: 2009-01-07 13:09 EST (History)
0 users

See Also:
Fixed In Version: cjet-0.8.9-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-03 12:28:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-07-28 16:24:38 EDT
cjet isn't built with $RPM_OPT_FLAGS.

Fix: make %{?_smp_mflags} OPT="%{optflags}"
Comment 1 Lubomir Kundrak 2007-08-03 04:10:51 EDT
Thanks for the report.

cjet-0.8.9-2.fc8 should have fixed this. Should you disagree with the change
or have any further comments, please reopen the bug.
Comment 2 Ville Skyttä 2007-08-03 12:14:34 EDT
Not fixed; now it's built without any CFLAGS at all, see

A fix for 0.8.9-3 would be:
make %{?_smp_mflags} CFLAGS="%{optflags}"
Comment 3 Lubomir Kundrak 2007-08-03 12:28:35 EDT
Oh, pardon me. I have a local modification of CFLAGS which I have forotten about
and thus had an impression, that CFLAGS get populated with optflags automatically.

Thanks for the report, applying your fix.

Note You need to log in before you can comment on or make changes to this bug.